Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
tuple<> Class Template Reference

`#include <gtest-tuple.h>`

## Public Member Functions
| tuple ()
| tuple (GTEST_BY_REF_(T0) f0, GTEST_BY_REF_(T1) f1, GTEST_BY_REF_(T2) f2, GTEST_BY_REF_(T3) f3, GTEST_BY_REF_(T4) f4, GTEST_BY_REF_(T5) f5, GTEST_BY_REF_(T6) f6, GTEST_BY_REF_(T7) f7, GTEST_BY_REF_(T8) f8, GTEST_BY_REF_(T9) f9)
| tuple (const tuple &t)
template<GTEST_10_TYPENAMES_(U) >
| tuple (const GTEST_10_TUPLE_(U)&t)
tuple & | operator= (const tuple &t)
template<GTEST_10_TYPENAMES_(U) >
tuple & | operator= (const GTEST_10_TUPLE_(U)&t)
template<GTEST_10_TYPENAMES_(U) >
GTEST_DECLARE_TUPLE_AS_FRIEND_ tuple & | CopyFrom (const GTEST_10_TUPLE_(U)&t)
| tuple ()
| tuple (GTEST_BY_REF_(T0) f0, GTEST_BY_REF_(T1) f1, GTEST_BY_REF_(T2) f2, GTEST_BY_REF_(T3) f3, GTEST_BY_REF_(T4) f4, GTEST_BY_REF_(T5) f5, GTEST_BY_REF_(T6) f6, GTEST_BY_REF_(T7) f7, GTEST_BY_REF_(T8) f8, GTEST_BY_REF_(T9) f9)
| tuple (const tuple &t)
template<GTEST_10_TYPENAMES_(U) >
| tuple (const GTEST_10_TUPLE_(U)&t)
tuple & | operator= (const tuple &t)
template<GTEST_10_TYPENAMES_(U) >
tuple & | operator= (const GTEST_10_TUPLE_(U)&t)
template<GTEST_10_TYPENAMES_(U) >
GTEST_DECLARE_TUPLE_AS_FRIEND_ tuple & | CopyFrom (const GTEST_10_TUPLE_(U)&t)
| tuple ()
| tuple (GTEST_BY_REF_(T0) f0, GTEST_BY_REF_(T1) f1, GTEST_BY_REF_(T2) f2, GTEST_BY_REF_(T3) f3, GTEST_BY_REF_(T4) f4, GTEST_BY_REF_(T5) f5, GTEST_BY_REF_(T6) f6, GTEST_BY_REF_(T7) f7, GTEST_BY_REF_(T8) f8, GTEST_BY_REF_(T9) f9)
| tuple (const tuple &t)
template<GTEST_10_TYPENAMES_(U) >
| tuple (const GTEST_10_TUPLE_(U)&t)
tuple & | operator= (const tuple &t)
template<GTEST_10_TYPENAMES_(U) >
tuple & | operator= (const GTEST_10_TUPLE_(U)&t)
template<GTEST_10_TYPENAMES_(U) >
GTEST_DECLARE_TUPLE_AS_FRIEND_ tuple & | CopyFrom (const GTEST_10_TUPLE_(U)&t)

## Public Attributes
T0 | f0_
T1 | f1_
T2 | f2_
T3 | f3_
T4 | f4_
T5 | f5_
T6 | f6_
T7 | f7_
T8 | f8_
T9 | f9_

## Friends
template<int k>
class | gtest_internal::Get
template<int k>
class | gtest_internal::Get
template<int k>
class | gtest_internal::Get

## Constructor & Destructor Documentation

tuple | ( |  | ) |
| inline

tuple | ( | GTEST_BY_REF_(T0) | f0,
|  | GTEST_BY_REF_(T1) | f1,
|  | GTEST_BY_REF_(T2) | f2,
|  | GTEST_BY_REF_(T3) | f3,
|  | GTEST_BY_REF_(T4) | f4,
|  | GTEST_BY_REF_(T5) | f5,
|  | GTEST_BY_REF_(T6) | f6,
|  | GTEST_BY_REF_(T7) | f7,
|  | GTEST_BY_REF_(T8) | f8,
|  | GTEST_BY_REF_(T9) | f9
| ) |  |
| inline explicit

tuple | ( | const tuple<> & | t | ) |
| inline

tuple | ( | const GTEST_10_TUPLE_(U)& | t | ) |
| inline

tuple | ( |  | ) |
| inline

tuple | ( | GTEST_BY_REF_(T0) | f0,
|  | GTEST_BY_REF_(T1) | f1,
|  | GTEST_BY_REF_(T2) | f2,
|  | GTEST_BY_REF_(T3) | f3,
|  | GTEST_BY_REF_(T4) | f4,
|  | GTEST_BY_REF_(T5) | f5,
|  | GTEST_BY_REF_(T6) | f6,
|  | GTEST_BY_REF_(T7) | f7,
|  | GTEST_BY_REF_(T8) | f8,
|  | GTEST_BY_REF_(T9) | f9
| ) |  |
| inline explicit

tuple | ( | const tuple<> & | t | ) |
| inline

tuple | ( | const GTEST_10_TUPLE_(U)& | t | ) |
| inline

tuple | ( |  | ) |
| inline

tuple | ( | GTEST_BY_REF_(T0) | f0,
|  | GTEST_BY_REF_(T1) | f1,
|  | GTEST_BY_REF_(T2) | f2,
|  | GTEST_BY_REF_(T3) | f3,
|  | GTEST_BY_REF_(T4) | f4,
|  | GTEST_BY_REF_(T5) | f5,
|  | GTEST_BY_REF_(T6) | f6,
|  | GTEST_BY_REF_(T7) | f7,
|  | GTEST_BY_REF_(T8) | f8,
|  | GTEST_BY_REF_(T9) | f9
| ) |  |
| inline explicit

tuple | ( | const tuple<> & | t | ) |
| inline

tuple | ( | const GTEST_10_TUPLE_(U)& | t | ) |
| inline

## Member Function Documentation

GTEST_DECLARE_TUPLE_AS_FRIEND_ tuple& CopyFrom | ( | const GTEST_10_TUPLE_(U)& | t | ) |
| inline

GTEST_DECLARE_TUPLE_AS_FRIEND_ tuple& CopyFrom | ( | const GTEST_10_TUPLE_(U)& | t | ) |
| inline

GTEST_DECLARE_TUPLE_AS_FRIEND_ tuple& CopyFrom | ( | const GTEST_10_TUPLE_(U)& | t | ) |
| inline

tuple& operator= | ( | const tuple<> & | t | ) |
| inline

tuple& operator= | ( | const tuple<> & | t | ) |
| inline

tuple& operator= | ( | const GTEST_10_TUPLE_(U)& | t | ) |
| inline

tuple& operator= | ( | const GTEST_10_TUPLE_(U)& | t | ) |
| inline

tuple& operator= | ( | const tuple<> & | t | ) |
| inline

tuple& operator= | ( | const GTEST_10_TUPLE_(U)& | t | ) |
| inline

## Friends And Related Function Documentation

friend class gtest_internal::Get
| friend

class gtest_internal::Get | ( |  | ) |
| friend

class gtest_internal::Get | ( |  | ) |
| friend

## Member Data Documentation

T0 f0_

T1 f1_

T2 f2_

T3 f3_

T4 f4_

T5 f5_

T6 f6_

T7 f7_

T8 f8_

T9 f9_

The documentation for this class was generated from the following files:

- persistence/rapidjson/thirdparty/gtest/include/gtest/internal/gtest-tuple.h
- testing/googleTest/fused-src/gtest/gtest.h